Bug 1257528 (CVE-2015-5283)

Summary: CVE-2015-5283 kernel: Creating multiple sockets when SCTP module isn't loaded leads to kernel panic
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, aquini, bhu, carnil, dhoward, esammons, fhrbata, iboverma, jkacur, joelsmith, jross, kernel-mgr, lgoncalv, lwang, matt, mcressma, mguzik, nmurray, pholasek, plougher, pmatouse, rvrbovsk, security-response-team, williams, wmealing
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the SCTP implementation. A local user could use this flaw to cause a denial of service on the system by triggering a kernel panic when creating multiple sockets in parallel while the system did not have the SCTP module loaded.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-26 03:49:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1251807, 1279290    
Bug Blocks: 1257532    

Description Adam Mariš 2015-08-27 09:32:02 UTC
A NULL pointer dereference flaw was found in SCTP implementation allowing the local user to cause system DoS. Creation of multiple sockets in parallel when system doesn't have SCTP module loaded can lead to kernel panic.

Upstream patch:

http://patchwork.ozlabs.org/patch/515996/

Comment 1 Wade Mealing 2015-11-09 03:39:37 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1279290]

Comment 3 Wade Mealing 2015-11-09 03:45:09 UTC
Statement:

This issue affects the Linux kernels as shipped with Red Hat Enterprise Linux 5, 6 and 7. Due to the limited security impact the issue is currently not planned to be addressed in Red Hat Enterprise Linux 5 and 6.

Comment 4 Wade Mealing 2015-11-09 04:08:24 UTC
Acknowledgments:

This issue was discovered by Ji Jianwen from Red Hat engineering.

Comment 5 errata-xmlrpc 2015-11-19 13:15:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2411 https://rhn.redhat.com/errata/RHSA-2015-2411.html

Comment 6 errata-xmlrpc 2015-11-19 23:11:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2152 https://rhn.redhat.com/errata/RHSA-2015-2152.html

Comment 7 errata-xmlrpc 2015-11-19 23:26:43 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2152 https://rhn.redhat.com/errata/RHSA-2015-2152.html